This week only. Pastebin PRO Accounts Christmas Special! Don't miss out!Want more features on Pastebin? Sign Up, it's FREE!
Guest

kipi-plugins libkcraw build problem

By: a guest on Feb 1st, 2013  |  syntax: None  |  size: 9.78 KB  |  views: 9  |  expires: Never
download  |  raw  |  embed  |  report abuse  |  print
This paste has a previous version, view the difference. Text below is selected. Please press Ctrl+C to copy to your clipboard. (⌘+C on Mac)
  1. ==> Building and installing package
  2. ==> Sprawdzanie najnowszej rewizji git...
  3.   -> Wersja        : 20130201
  4. ==> Tworzę pakiet: kipi-plugins-git 20130201-1 (pią, 1 lut 2013, 22:44:51 CET)
  5. ==> Sprawdzanie zależności potrzebnych do uruchomienia...
  6. ==> Sprawdzanie zależności potrzebnych do budowy...
  7. ==> Pobieranie źródeł...
  8. ==> Rozpakowuję źródła...
  9. ==> Zaczynam build()
  10. ==> Connecting to the GIT server....
  11. Cloning into 'kipi-plugins'...
  12. remote: Counting objects: 73623, done.
  13. remote: Compressing objects: 100% (15099/15099), done.
  14. remote: Total 73623 (delta 59153), reused 72166 (delta 58072)
  15. Receiving objects: 100% (73623/73623), 21.89 MiB | 1.41 MiB/s, done.
  16. Resolving deltas: 100% (59153/59153), done.
  17. ==> GIT checkout done
  18. ==> Starting make...
  19. -- The C compiler identification is GNU 4.7.2
  20. -- The CXX compiler identification is GNU 4.7.2
  21. -- Check for working C compiler: /usr/bin/cc
  22. -- Check for working C compiler: /usr/bin/cc -- works
  23. -- Detecting C compiler ABI info
  24. -- Detecting C compiler ABI info - done
  25. -- Check for working CXX compiler: /usr/bin/c++
  26. -- Check for working CXX compiler: /usr/bin/c++ -- works
  27. -- Detecting CXX compiler ABI info
  28. -- Detecting CXX compiler ABI info - done
  29. -- ----------------------------------------------------------------------------------
  30. -- Starting CMake configuration for: kipi-plugins
  31. -- Looking for Q_WS_X11
  32. -- Looking for Q_WS_X11 - found
  33. -- Looking for Q_WS_WIN
  34. -- Looking for Q_WS_WIN - not found
  35. -- Looking for Q_WS_QWS
  36. -- Looking for Q_WS_QWS - not found
  37. -- Looking for Q_WS_MAC
  38. -- Looking for Q_WS_MAC - not found
  39. -- Found Qt-Version 4.8.4 (using /usr/bin/qmake)
  40. -- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
  41. -- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
  42. -- Looking for gethostbyname
  43. -- Looking for gethostbyname - found
  44. -- Looking for connect
  45. -- Looking for connect - found
  46. -- Looking for remove
  47. -- Looking for remove - found
  48. -- Looking for shmat
  49. -- Looking for shmat - found
  50. -- Looking for IceConnectionNumber in ICE
  51. -- Looking for IceConnectionNumber in ICE - found
  52. -- Found X11: /usr/lib64/libX11.so
  53. -- Looking for include file pthread.h
  54. -- Looking for include file pthread.h - found
  55. -- Looking for pthread_create
  56. -- Looking for pthread_create - not found
  57. -- Looking for pthread_create in pthreads
  58. -- Looking for pthread_create in pthreads - not found
  59. -- Looking for pthread_create in pthread
  60. -- Looking for pthread_create in pthread - found
  61. -- Found Threads: TRUE  
  62. -- Found OpenSSL: /usr/lib64/libssl.so
  63. -- Looking for _POSIX_TIMERS
  64. -- Looking for _POSIX_TIMERS - found
  65. -- Found Automoc4: /usr/bin/automoc4
  66. -- Found Perl: /usr/bin/perl (found version "5.16.2")
  67. -- Found Phonon: /usr/include
  68. -- Performing Test _OFFT_IS_64BIT
  69. -- Performing Test _OFFT_IS_64BIT - Success
  70. -- Performing Test HAVE_FPIE_SUPPORT
  71. -- Performing Test HAVE_FPIE_SUPPORT - Success
  72. -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
  73. -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
  74. -- Performing Test __KDE_HAVE_GCC_VISIBILITY
  75. -- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
  76. -- Found KDE 4.9 include dir: /usr/include
  77. -- Found KDE 4.9 library dir: /usr/lib
  78. -- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
  79. -- Found automoc4: /usr/bin/automoc4
  80. -- Check Kipi library in local sub-folder...
  81. -- Check Kipi library using pkg-config...
  82. -- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
  83. -- Found libkipi release >= 0.2.0
  84. -- Found libkipi: /usr/lib64/libkipi.so
  85. -- Check Kexiv2 library in local sub-folder...
  86. -- Check Kexiv2 library using pkg-config...
  87. -- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
  88. -- Found libkexiv2 release >= 0.2.0
  89. -- Found libkexiv2: /usr/lib64/libkexiv2.so
  90. -- Found JPEG: /usr/lib64/libjpeg.so  
  91. -- Found ZLIB: /usr/lib64/libz.so (found version "1.2.7")
  92. -- Found PNG: /usr/lib64/libpng.so (found version "1.5.13")
  93. -- Found TIFF: /usr/lib64/libtiff.so (found version "4.0.3")
  94. -- Check Kdcraw library in local sub-folder...
  95. -- Check Kdcraw library using pkg-config...
  96. -- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
  97. -- Found libkdcraw release >= 0.2.0
  98. -- Found libkdcraw: /usr/lib64/libkdcraw.so
  99. CMake Warning at CMakeLists.txt:145 (MESSAGE):
  100.   libkdcraw: Version information not found, your version is probably too old.
  101.  
  102.  
  103. -- Found EXPAT: /usr/lib64/libexpat.so (found version "2.1.0")
  104. -- Found LibXml2: /usr/lib64/libxml2.so
  105. -- Found LibXslt: /usr/lib64/libxslt.so
  106. -- Found OpenGL: /usr/lib64/libGL.so  
  107. -- checking for one of the modules 'libgpod-1.0'
  108. -- Found libgpod-1 0.8.2
  109. -- libgpod dir: /usr/include/gpod-1.0;/usr/include/gdk-pixbuf-2.0;/usr/include/libpng15;/usr/include/glib-2.0;/usr/lib/glib-2.0/include;/usr/include/libxml2
  110. -- libgpod lib: gpod;gdk_pixbuf-2.0;gobject-2.0;glib-2.0;imobiledevice;plist;usbmuxd;ssl;crypto
  111. -- libgpod def: -pthread;-I/usr/include/gpod-1.0;-I/usr/include/gdk-pixbuf-2.0;-I/usr/include/libpng15;-I/usr/include/glib-2.0;-I/usr/lib/glib-2.0/include;-I/usr/include/libxml2
  112. -- libgpod ver: 0.8.2
  113. -- checking for module 'gdk-pixbuf-2.0'
  114. --   found gdk-pixbuf-2.0, version 2.26.5
  115. -- Found Gdk: /usr/include/gdk-pixbuf-2.0
  116. -- Found GLIB2: /usr/lib64/libglib-2.0.so
  117. -- checking for module 'gobject-2.0'
  118. --   found gobject-2.0, version 2.34.3
  119. -- Found GOBJECT: /usr/lib64/libgobject-2.0.so;/usr/lib64/libgmodule-2.0.so;/usr/lib64/libgthread-2.0.so;/usr/lib64/libglib-2.0.so
  120. -- Found FLEX: /usr/bin/flex (found version "2.5.37")
  121. -- Found BISON: /usr/bin/bison (found version "2.7")
  122. -- Found KdepimLibs: /usr/lib64/cmake/KdepimLibs/KdepimLibsConfig.cmake
  123. -- Found QCA2: /usr/lib64/libqca.so
  124. -- checking for module 'QJson>=0.5'
  125. --   found QJson, version 0.8.1
  126. -- Found QJSON: /usr/lib64/libqjson.so
  127. -- Check for KGeoMap library in local sub-folder...
  128. -- Check KGeoMap library using pkg-config...
  129. -- checking for one of the modules 'libkgeomap'
  130. -- Found libkgeomap release 2.0.0
  131. -- Found libkgeomap: /usr/lib64/libkgeomap.so
  132. -- Check Mediawiki library in local sub-folder...
  133. -- Check Mediawiki library using pkg-config...
  134. -- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
  135. -- Found libmediawiki release >= 1.0.0
  136. -- Found libmediawiki: /usr/lib64/libmediawiki.so
  137. -- Found HUpnpCore : /usr/include/HUpnpCore /usr/lib64/libHUpnp.so
  138. -- Could NOT find required package HUpnpAv: <http://herqq.org>
  139. -- Could NOT find ImageMagick (missing:  ImageMagick_MagickCore_LIBRARY) (found version "6.8.2-0")
  140. -- Found QtGStreamer: /usr/include/QtGStreamer
  141. -- Boost hasn't been found yet. Looking...
  142. -- Boost version: 1.52.0
  143. -- GCC 4.5 or later detected. Enabling C++0x support in QTGSTREAMER_FLAGS.
  144. -- Could NOT find QtKOAuth  (missing:  QTKOAUTH_LIBRARIES QTKOAUTH_INCLUDE_DIR)
  145. -- libkgeomap: Found version 2.0.0
  146. -- Found X11: /usr/lib64/libX11.so
  147. -- CMake version: cmake version 2.8.10.2
  148.  
  149. -- CMake version (cleaned): cmake version 2.8.10.2
  150.  
  151. -- Try OpenMP C flag = [-fopenmp]
  152. -- Performing Test OpenMP_FLAG_DETECTED
  153. -- Performing Test OpenMP_FLAG_DETECTED - Success
  154. -- Try OpenMP CXX flag = [-fopenmp]
  155. -- Performing Test OpenMP_FLAG_DETECTED
  156. -- Performing Test OpenMP_FLAG_DETECTED - Success
  157. -- Found OpenMP: -fopenmp  
  158. --
  159. -- ----------------------------------------------------------------------------------
  160. --  kipi-plugins 3.0.0 dependencies results   <http://www.digikam.org>
  161. --
  162. --  libjpeg library found.................... YES
  163. --  libtiff library found.................... YES
  164. --  libpng library found..................... YES
  165. --  libkipi library found.................... YES
  166. --  libkexiv2 library found.................. YES
  167. --  libkdcraw library found.................. NO
  168. --
  169. CMake Error at CMakeLists.txt:88 (MESSAGE):
  170.    kipi-plugins needs libkdcraw. You need to install the libkdcraw (version >= 2.2.0) library development package.
  171. Call Stack (most recent call first):
  172.   CMakeLists.txt:237 (PRINT_LIBRARY_STATUS)
  173.  
  174.  
  175. --  libkdcraw website is at http://www.digikam.org/sharedlibs
  176. --
  177. --  libxml2 library found.................... YES (optional)
  178. --  libxslt library found.................... YES (optional)
  179. --  libexpat library found................... YES (optional)
  180. --  native threads support library found..... YES (optional)
  181. --  libopengl library found.................. YES (optional)
  182. --  Qt4 OpenGL module found.................. YES
  183. --  libopencv library found.................. YES (optional)
  184. --  QJson library found...................... YES (optional)
  185. --  libgpod library found.................... YES (optional)
  186. --  Gdk library found........................ YES (optional)
  187. --  libkdepim library found.................. YES (optional)
  188. --  qca2 library found....................... YES (optional)
  189. --  libkgeomap library found................. YES (optional)
  190. --  libmediawiki library found............... YES (optional)
  191. --  libkvkontakte library found.............. YES (optional)
  192. --  libimagemagick library found............. NO  (optional)
  193. --  libqtgstreamer library found............. YES (optional)
  194. --  QtKOAuth library found................... NO  (optional)
  195. --  OpenMP library found..................... YES (optional)
  196. --  libX11 library found..................... YES (optional)
  197. --  libksane library found................... YES (optional)
  198. --  Hupnp library found...................... YES (optional)
  199. --
  200. CMake Error at CMakeLists.txt:287 (MESSAGE):
  201.    kipi-plugins will not be compiled! Look README file for more details about dependencies...
  202.  
  203.  
  204. -- Configuring incomplete, errors occurred!
  205. ==> BŁĄD: Wystąpił błąd w build().
  206.     Przerywam...
  207. ==> ERROR: Makepkg was unable to build kipi-plugins-git.
clone this paste RAW Paste Data